Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.tdk.signaturetest.core
Interface ClassHierarchy

All Superinterfaces:
  ClassDescriptionLoader

All Known Implementing Classes:
  ClassHierarchyImpl

    public interface ClassHierarchy

extends ClassDescriptionLoader

Field Summary
`static int` | `ALL_PUBLIC`

Method Summary
`java.util.Set` | `getAllImplementedInterfaces(java.lang.String fqClassName)`
`java.lang.String[]` | `getAllSubclasses(java.lang.String fqClassName)`
`int` | `getClassModifiers(java.lang.String fqClassName)`
`java.lang.String[]` | `getDirectSubclasses(java.lang.String fqClassName)`
`java.lang.String[]` | `getNestedClasses(java.lang.String fqClassName)`
`java.lang.String` | `getSuperClass(java.lang.String fqClassName)`
`java.util.List` | `getSuperClasses(java.lang.String fqClassName)`
`java.lang.String[]` | `getSuperInterfaces(java.lang.String fqClassName)`
`int` | `getTrackMode()`
`boolean` | `isAccessible(ClassDescription c)`
`boolean` | `isAccessible(java.lang.String fqname)`
`boolean` | `isAnnotation(java.lang.String fqClassName)`
`boolean` | `isClassVisibleOutside(ClassDescription cls)`
`boolean` | `isClassVisibleOutside(java.lang.String fqClassName)`
`boolean` | `isContainerAnnotation(java.lang.String fqname)`
`boolean` | `isDocumentedAnnotation(java.lang.String fqname)`
`boolean` | `isInterface(java.lang.String fqClassName)`
`boolean` | `isMethodImplements(MethodDescr md)`
`boolean` | `isMethodOverriden(MethodDescr md)`
`boolean` | `isSubclass(java.lang.String subClassName, java.lang.String superClassName)`
`ClassDescription` | `load(java.lang.String name)`

Field Detail

### ALL_PUBLIC

    static final int ALL_PUBLIC

See Also:
  Constant Field Values

Method Detail

### getSuperClass

    java.lang.String getSuperClass(java.lang.String fqClassName)
                                   throws java.lang.ClassNotFoundException

  Throws:
    `java.lang.ClassNotFoundException`

### getSuperClasses

    java.util.List getSuperClasses(java.lang.String fqClassName)
                                   throws java.lang.ClassNotFoundException

  Throws:
    `java.lang.ClassNotFoundException`

### getSuperInterfaces

    java.lang.String[] getSuperInterfaces(java.lang.String fqClassName)
                                          throws java.lang.ClassNotFoundException

  Throws:
    `java.lang.ClassNotFoundException`

### getAllImplementedInterfaces

    java.util.Set getAllImplementedInterfaces(java.lang.String fqClassName)
                                              throws java.lang.ClassNotFoundException

  Throws:
    `java.lang.ClassNotFoundException`

### getDirectSubclasses

    java.lang.String[] getDirectSubclasses(java.lang.String fqClassName)

### getAllSubclasses

    java.lang.String[] getAllSubclasses(java.lang.String fqClassName)

### getNestedClasses

    java.lang.String[] getNestedClasses(java.lang.String fqClassName)

### isInterface

    boolean isInterface(java.lang.String fqClassName)
                        throws java.lang.ClassNotFoundException

  Throws:
    `java.lang.ClassNotFoundException`

### isAnnotation

    boolean isAnnotation(java.lang.String fqClassName)
                         throws java.lang.ClassNotFoundException

  Throws:
    `java.lang.ClassNotFoundException`

### getClassModifiers

    int getClassModifiers(java.lang.String fqClassName)
                          throws java.lang.ClassNotFoundException

  Throws:
    `java.lang.ClassNotFoundException`

### isSubclass

    boolean isSubclass(java.lang.String subClassName,
                       java.lang.String superClassName)
                       throws java.lang.ClassNotFoundException

  Throws:
    `java.lang.ClassNotFoundException`

### load

    ClassDescription load(java.lang.String name)
                          throws java.lang.ClassNotFoundException

  Specified by:
    `load` in interface `ClassDescriptionLoader`
  Throws:
    `java.lang.ClassNotFoundException`

### isAccessible

    boolean isAccessible(ClassDescription c)

### isDocumentedAnnotation

    boolean isDocumentedAnnotation(java.lang.String fqname)
                                   throws java.lang.ClassNotFoundException

  Throws:
    `java.lang.ClassNotFoundException`

### isContainerAnnotation

    boolean isContainerAnnotation(java.lang.String fqname)
                                  throws java.lang.ClassNotFoundException

  Throws:
    `java.lang.ClassNotFoundException`

### isAccessible

    boolean isAccessible(java.lang.String fqname)
                         throws java.lang.ClassNotFoundException

  Throws:
    `java.lang.ClassNotFoundException`

### isClassVisibleOutside

    boolean isClassVisibleOutside(java.lang.String fqClassName)
                                  throws java.lang.ClassNotFoundException

  Throws:
    `java.lang.ClassNotFoundException`

### isClassVisibleOutside

    boolean isClassVisibleOutside(ClassDescription cls)
                                  throws java.lang.ClassNotFoundException

  Throws:
    `java.lang.ClassNotFoundException`

### getTrackMode

    int getTrackMode()

### isMethodOverriden

    boolean isMethodOverriden(MethodDescr md)
                              throws java.lang.ClassNotFoundException

  Throws:
    `java.lang.ClassNotFoundException`

### isMethodImplements

    boolean isMethodImplements(MethodDescr md)
                               throws java.lang.ClassNotFoundException

  Throws:
    `java.lang.ClassNotFoundException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD